
Foreman - Refactor #13845

Remove 1.13 deprecations

02/23/2016 05:21 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Plugin integration   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3563

  

Description

To be done after 1.12-stable is branched.

Scan the codebase for deprecations marked with a 1.13 deadline and remove them (ack deprecation.*1.13). All deprecations with a

1.13 deadline have been shipped (at least) in 1.11 and 1.12.

Marked for a 1.12.0 release so it's done at the time of 1.12-stable branching, but please move to 1.13.0 when done.

Related issues:

Related to Foreman - Refactor #10635: Formalize deprecation warnings Closed 05/28/2015

Related to foreman-tasks - Bug #15256: Deprecated plugin registration initial... Closed 06/01/2016

Blocked by Foreman - Bug #13939: API v1 hosts rabl references deprecated pupp... Closed 02/29/2016

Associated revisions

Revision f21ca7d5 - 07/06/2016 10:04 AM - Dominic Cleal

fixes #13845 - remove 1.13 deprecations

History

#1 - 02/23/2016 05:21 AM - Dominic Cleal

- Related to Refactor #10635: Formalize deprecation warnings added

#2 - 02/29/2016 04:00 AM - Dominic Cleal

- Blocked by Bug #13939: API v1 hosts rabl references deprecated puppet_status call added

#3 - 05/31/2016 12:03 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

- translation missing: en.field_release changed from 136 to 160

#4 - 05/31/2016 12:03 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3563 added

#5 - 06/01/2016 03:28 AM - Dominic Cleal

- Related to Bug #15256: Deprecated plugin registration initializer in use, must be changed for 1.13 added

#6 - 07/06/2016 11:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

05/21/2024 1/2



Applied in changeset f21ca7d529052497eb343fc34828513cee84cd75.
